Get Reclaim Data

Get Reclaim Data
Reclaim data for VMs or for orphaned disks

Reclaim data for VMs or for orphaned disks

Request
URI
GET
https://{api_host}/suite-api/api/optimization/datacenters/{id}/reclaim/resources
COPY
Path Parameters
string
id
Required

Datacenter Id

Query Parameters
string
reason
Required

reason

Possible values are : POWERED_OFF, IDLE, SNAPSHOT, ORPHANED_DISK,
boolean
showExcluded
Optional
Constraints: default: false

showExcluded

integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

Paginated reclaimable data for virtual machines

Returns ReclaimRightsizeResources of type(s) application/json
"{\n  \"reclaimRightsizeResources\" : [ {\n    \"id\" : \"5fd9566d-71ea-4f8a-8173-6acb1943f456\",\n    \"name\" : \"Centos7-Consolidation-VM\",\n    \"costSaving\" : 350.0,\n    \"reclaimableCpu\" : 2,\n    \"reclaimableMemory\" : 4.0,\n    \"duration\" : 3\n  } ]\n}"
array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result

array of object
reclaimRightsizeResources
Optional

List of reclaim/rightsizing resources


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/optimization/datacenters/{id}/reclaim/resources?reason=v